# Retrieve the authenticated client's stored payment

Retrieve the authenticated client's stored payment methods.

Endpoint: GET /user/paymethods
Version: 2.1.0

## Query parameters:

  - `page` (integer)
    Page number
    Example: 1

  - `page_size` (integer)
    Number of items per page. The maximum allowed value is 500. The default value is 50.
    Example: 10

## Response 200 fields (application/json):

  - `data` (array, required)

  - `data.id` (integer, required)
    Pass this value as the payment.paymethod_id value when checking out a cart to pay with this stored method.
    Example: 12

  - `data.type` (string, required)
    How WHMCS stores the method internally.
    Example: "RemoteCreditCard"

  - `data.kind` (string,null, required)
    The type of payment method.

A null value indicates that the system could not find the payment method's stored details.
    Enum: "card", "wallet", "bank_account"

  - `data.description` (string, required)
    The client's label for this method, if they set one.
    Example: "Weekend Card"

  - `data.gateway` (string, required)
    The payment gateway module for this payment method.
    Example: "stripe_dynamic"

  - `data.gateway_is_active` (boolean, required)
    Whether the payment gateway is currently active on this installation.

If the payment gateway is not currently active, the client cannot pay using this method.
    Example: true

  - `data.is_default` (boolean, required)
    Whether this is the client's default payment method. Exactly one of a client's methods is the default.
    Example: true

  - `data.label` (string)
    A short human-readable display name for the payment method.
    Example: "Visa-4242"

  - `data.card_type` (string)
    The card brand, if the kind value is card.
    Example: "Visa"

  - `data.card_last_four` (string)
    The last four digits of the card. Present only when kind is card.
    Example: "4242"

  - `data.expiry_date` (string,null)
    The card expiry date in the MM/YY format, if the kind value is card.

This value is null when the stored method does not have an expiry date.
    Example: "06/30"

  - `data.is_expired` (boolean)
    Whether that expiry date has passed, if the kind value is card.

If the expiry date has passed, the client cannot pay using this method.

  - `data.bank_name` (string,null)
    The bank holding the account, if the kind value is bank_account.

This value is null when the gateway did not supply bank information.
    Example: "STRIPE TEST BANK"

## Response 401 fields (application/json):

  - `message` (string)


